Subject: Multiple user questions

From: Dennis Schridde <[email-masked]>
Date: Fri, 23 May 2008 13:27:37 +0200

Hello!

I have some questions regarding the usage of Git, I did not find answered in 
manpages or on IRC:

1) Can I somehow make send-email just send one email with multiple patches 
attached?
2) Can I make format-patch include the full commit message, date, author, 
stats in the patches? (To mimic what git-show would show me.)
Will this be sent via send-email, too?
3) Can I make format-patch --attach / --inline additionaly include this in the 
attachements as well?
4) Can I make format-patch output one deletion and one insertion for a 
complete rewrite of a function, instead of multiple deletes/inserts?
5) If rebase -i does not keep at least one valid line, it will "do nothing" 
(instead of deleting all revisions). Is that intended? Why?

Thanks for your answers,
Dennis